Package twisted :: Package trial :: Module unittest :: Class TestSuite |
[frames | no frames]

## Class TestSuite

Method Summary
| `__init__(self, benchmark)`
| `_packageRecurse(self, arg, dirname, names)`
| ``addMethod`(self, method)` Add a single method of a test case class to this test suite.
| `addModule(self, module)`
| `addPackage(self, package)`
| `addPackageRecursive(self, package)`
| `addTestClass(self, testClass)`
| `run(self, output, seed)`

Class Variable Summary
`str` | `moduleGlob` = `'test_*.py'`
`int` | `sortTests` = 1

Method Details

### addMethod(self, method) Add a single method of a test case class to this test suite.

Class Variable Details

    ### moduleGlob Type: `str` Value:
        'test_*.py'

    ### sortTests Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net